function t270_scroll(hash,offset,speed){if(hash.indexOf('#!/tproduct/')!==-1||hash.indexOf('#!/tab/')!==-1){return!0}
var $root=$('html, body');var target="";if(speed===undefined){speed=500}
try{target=$(hash)}catch(event){console.log("Exception t270: "+event.message);return!0}
if(target.length===0){target=$('a[name="'+hash.substr(1)+'"]');if(target.length===0){return!0}}
$root.animate({scrollTop:target.offset().top-offset},speed,function(){if(history.pushState){history.pushState(null,null,hash)}else{window.location.hash=hash}});return!0}
function t451_initMenu(recid){var el=$('#rec'+recid);var obj=el.find('.t451__burger');obj.click(function(e){t451_closeMenu();t451_showMenu(recid);t451_checkSize(recid);e.preventDefault()});$('.t451').bind('clickedAnchorInTooltipMenu',function(){t451_closeMenu()});if(isMobile){$('#rec'+recid).find('.t-menu__link-item').each(function(){var $this=$(this);if($this.hasClass('t451__link-item_submenu')){$this.on('click',function(){setTimeout(function(){t451_checkSize(recid)},100)})}})}
var navLinks=el.find('.t451 a.t-menusub__link-item:not(.tooltipstered)[href*="#"]');if(navLinks.length>0){t451_catchScroll(navLinks)}
t451_highlight()}
function t451_showMenu(recid){var el=$('#rec'+recid);$('body').addClass('t451__body_menushowed');el.find('.t451m').addClass('t451m__menu_show');el.find('.t451m__overlay').addClass('t451m__menu_show');el.find('.t451m__overlay, .t451m__close, a[href*=#]').click(function(){if($(this).is('.tooltipstered, .t794__tm-link')){return}
t451_closeMenu()});$(document).keydown(function(e){if(e.keyCode==27){$('body').removeClass('t451__body_menushowed');$('.t451m').removeClass('t451m__menu_show');$('.t451m__overlay').removeClass('t451m__menu_show')}})}
function t451_closeMenu(){$('body').removeClass('t451__body_menushowed');$('.t451m').removeClass('t451m__menu_show');$('.t451m__overlay').removeClass('t451m__menu_show')}
function t451_checkSize(recid){var el=$('#rec'+recid).find('.t451m');var windowheight=$(window).height()-80;var contentheight=el.find('.t451m__top').height()+el.find('.t451m__rightside').height();if(contentheight>windowheight){el.addClass('t451m__overflowed');el.find('.t451m__container').css('height','auto')}}
function t451_highlight(){var url=window.location.href;var pathname=window.location.pathname;if(url.substr(url.length-1)=='/'){url=url.slice(0,-1)}
if(pathname.substr(pathname.length-1)=='/'){pathname=pathname.slice(0,-1)}
if(pathname.charAt(0)=='/'){pathname=pathname.slice(1)}
if(pathname==''){pathname='/'}
$('.t451m__menu a[href="'+url+'"]').addClass('t-active');$('.t451m__menu a[href="'+url+'/"]').addClass('t-active');$('.t451m__menu a[href="'+pathname+'"]').addClass('t-active');$('.t451m__menu a[href="/'+pathname+'"]').addClass('t-active');$('.t451m__menu a[href="'+pathname+'/"]').addClass('t-active');$('.t451m__menu a[href="/'+pathname+'/"]').addClass('t-active')}
function t451_changeBgOpacityMenu(recid){var window_width=$(window).width();var record=$('#rec'+recid);record.find('.t451__container__bg').each(function(){var el=$(this);var bgcolor=el.attr('data-bgcolor-rgba');var bgcolor_afterscroll=el.attr('data-bgcolor-rgba-afterscroll');var bgopacity=el.attr('data-bgopacity');var bgopacity_afterscroll=el.attr('data-bgopacity2');var menu_shadow=el.attr('data-menu-shadow');if($(window).scrollTop()>20){el.css('background-color',bgcolor_afterscroll);if(bgopacity_afterscroll!='0'&&bgopacity_afterscroll!='0.0'){el.css('box-shadow',menu_shadow)}else{el.css('box-shadow','none')}}else{el.css('background-color',bgcolor);if(bgopacity!='0'&&bgopacity!='0.0'){el.css('box-shadow',menu_shadow)}else{el.css('box-shadow','none')}}})}
function t451_appearMenu(recid){var window_width=$(window).width();var record=$('#rec'+recid);record.find('.t451__panel').each(function(){var el=$(this);var appearoffset=el.attr('data-appearoffset');if(appearoffset!=''){if(appearoffset.indexOf('vh')>-1){appearoffset=Math.floor((window.innerHeight*(parseInt(appearoffset)/100)))}
appearoffset=parseInt(appearoffset,10);if($(window).scrollTop()>=appearoffset){if(el.hasClass('t451__beforeready')){el.removeClass('t451__beforeready')}}else{el.addClass('t451__beforeready')}}})}
function t451_catchScroll(navLinks){var clickedSectionId=null;var sections=new Array();var sectionIdTonavigationLink=[];var interval=100;var lastCall;var timeoutId;navLinks=$(navLinks.get().reverse());navLinks.each(function(){var cursection=t451_getSectionByHref($(this));if(typeof cursection.attr('id')!='undefined'){sections.push(cursection)}
sectionIdTonavigationLink[cursection.attr('id')]=$(this)});$(window).bind('resize',t_throttle(function(){t451_updateSectionsOffsets(sections)},200));$('.t451').bind('displayChanged',function(){t451_updateSectionsOffsets(sections)});setInterval(function(){t451_updateSectionsOffsets(sections)},5000);setTimeout(function(){t451_updateSectionsOffsets(sections);t451_highlightNavLinks(navLinks,sections,sectionIdTonavigationLink,clickedSectionId)},1000);navLinks.click(function(){if(!$(this).hasClass('tooltipstered')){navLinks.removeClass('t-active');sectionIdTonavigationLink[t451_getSectionByHref($(this)).attr('id')].addClass('t-active');clickedSectionId=t451_getSectionByHref($(this)).attr('id')}});$(window).scroll(function(){var now=new Date().getTime();if(lastCall&&now<(lastCall+interval)){clearTimeout(timeoutId);timeoutId=setTimeout(function(){lastCall=now;clickedSectionId=t451_highlightNavLinks(navLinks,sections,sectionIdTonavigationLink,clickedSectionId)},interval-(now-lastCall))}else{lastCall=now;clickedSectionId=t451_highlightNavLinks(navLinks,sections,sectionIdTonavigationLink,clickedSectionId)}})}
function t451_updateSectionsOffsets(sections){$(sections).each(function(){var curSection=$(this);curSection.attr('data-offset-top',curSection.offset().top)})}
function t451_getSectionByHref(curlink){var curLinkValue=curlink.attr('href').replace(/\s+/g,'');if(curlink.is('[href*="#rec"]')){return $(".r[id='"+curLinkValue.substring(1)+"']")}else{return $(".r[data-record-type='215']").has("a[name='"+curLinkValue.substring(1)+"']")}}
function t451_highlightNavLinks(navLinks,sections,sectionIdTonavigationLink,clickedSectionId){var scrollPosition=$(window).scrollTop();var valueToReturn=clickedSectionId;if(sections.length!=0&&clickedSectionId==null&&sections[sections.length-1].attr('data-offset-top')>(scrollPosition+300)){navLinks.removeClass('t-active');return null}
$(sections).each(function(){var curSection=$(this);var sectionTop=curSection.attr('data-offset-top');var id=curSection.attr('id');var navLink=sectionIdTonavigationLink[id];if(((scrollPosition+300)>=sectionTop)||(sections[0].attr('id')==id&&scrollPosition>=$(document).height()-$(window).height())){if(clickedSectionId==null&&!navLink.hasClass('t-active')){navLinks.removeClass('t-active');navLink.addClass('t-active');valueToReturn=null}else{if(clickedSectionId!=null&&id==clickedSectionId){valueToReturn=null}}
return!1}});return valueToReturn}